#include <CS207_Lib.h>

/* CS207 Lib
 * 
 * Demonstrates usage of sample library for CS207.
 * 
 * A sample library for the online version of the course for use with Lab 6.
 * http://www.cs.uregina.ca/Links/class-info/207/Lab6/
 *
 * The functions in this library are based on sample functions presented in
 * the "Functions for Beginners" video in Lab 5: https://youtu.be/8n8pvO_MK40
 * 
 * These functions have been wrapped up in a class as suggested by the 
 * Arduino Library Tutorial: https://www.arduino.cc/en/Hacking/LibraryTutorial
 * One benefit of doing this is that it avoids polluting the Arduino namespace
 * without requiring :: scoping syntax or using directives. 
 *
 * Created by Alex Clarke
 * on July 28, 2020
 */

void setup()
{
  cs207.init();
}

void loop()
{
  cs207.printColumn("There are ~28 grams to one ounce", cs207.g_to_oz(28));
  cs207.newline();
  
}
