#include "Arduino.h"
#include "CS207_Lib.h"

CS207 cs207;

void CS207::init(int serialSpeed)
{
  Serial.begin(serialSpeed);
}

void CS207::init()
{
  init(9600);
}


void CS207::printColumn(String l, float v)
{
  Serial.print(l);
  Serial.print(": ");
  Serial.print(v); 
  Serial.print("\t");
}

//Prints a simple newline character to Serial.
void CS207::newline()
{
  Serial.println();
}

float CS207::mapf(float input, float fLow, float fHigh, float tLow, float tHigh)
{
  float mapped, normalized;
  normalized = (input - fLow)/(fHigh - fLow);
  mapped =  normalized * (tHigh - tLow) + tLow;
  return mapped;
}

float CS207::g_to_oz(float grams)
{
  return grams * 0.035274;
}